Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.group.impl.debug
Class DebugGroupMemberFactory

    java.lang.Object
      com.pietschy.command.group.impl.DefaultGroupMemberFactory
          com.pietschy.command.group.impl.debug.DebugGroupMemberFactory

All Implemented Interfaces:
  GroupMemberFactory

    public class DebugGroupMemberFactory

extends DefaultGroupMemberFactory

A `GroupMemberFactory` implementation that creates `DebugDynamicMember`.

This factory is automatically installed by the library if the system property `com.pietschy.command.debugGroups` is set to `true`. The factory can also be programatically by calling `Defaults.setGroupMemberFactory(GroupMemberFactory)` with a new instance of this class.

Constructor Summary
`DebugGroupMemberFactory()`

Method Summary
`GroupMember` | `createDynamicMember(CommandGroup parent, java.lang.String commandId, boolean inlineGroup)` Create a dynamic member that user the current `CommandContainer` context.

Methods inherited from class com.pietschy.command.group.impl.DefaultGroupMemberFactory
`createExpansionPointMember, createGlueMember, createInlineMember, createSeparatorMember, createStaticMember`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebugGroupMemberFactory

    public DebugGroupMemberFactory()

Method Detail

### createDynamicMember

    public GroupMember createDynamicMember(CommandGroup parent,
                                           java.lang.String commandId,
                                           boolean inlineGroup)

  Description copied from interface: `GroupMemberFactory`
  Create a dynamic member that user the current `CommandContainer` context.

  Specified by:
    `createDynamicMember` in interface `GroupMemberFactory`
  Overrides:
    `createDynamicMember` in class `DefaultGroupMemberFactory`
  Parameters:
    `parent` - The parent group.
    `commandId` - the command id to be added.
    `inlineGroup` - `true` if the command is a group that is to be inlined.
  Returns:
    a new member instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch